aboutsummaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh17
1 files changed, 7 insertions, 10 deletions
diff --git a/test.sh b/test.sh
index 16308ba..4bec036 100755
--- a/test.sh
+++ b/test.sh
@@ -15,19 +15,16 @@
# limitations under the License.
#
-if [ -z "$1" ]
- then
- echo "Usage: test.sh <fork name>"
- exit 1
-fi
-
-java --version
+set -euo pipefail
-mvn clean verify
+if [ -z "$1" ]; then
+ echo "Usage: test.sh <fork name>"
+ exit 1
+fi
-for sample in $(ls src/test/resources/samples/*.txt)
-do
+for sample in $(ls src/test/resources/samples/*.txt); do
echo "Validating calculate_average_$1.sh -- $sample"
+
rm -f measurements.txt
ln -s $sample measurements.txt